package cn.gov.zjport.gtw.gateway.in.client;

import cn.gov.zjport.gtw.gateway.in.client.Client;
import java.security.KeyManagementException;
import java.security.KeyStore;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;
import javax.net.ssl.SSLContext;
import org.apache.http.conn.ssl.SSLConnectionSocketFactory;
import org.apache.http.conn.ssl.SSLContextBuilder;
import org.apache.http.conn.ssl.TrustStrategy;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;

public class SSLClient extends Client {

   public SSLClient(String url) {
      super(url);
   }

   public CloseableHttpClient getHttpClient() {
      if(this.url.toLowerCase().startsWith("https")) {
         try {
            SSLContext e = (new SSLContextBuilder()).loadTrustMaterial((KeyStore)null, new TrustStrategy() {
               public boolean isTrusted(X509Certificate[] chain, String authType) throws CertificateException {
                  return true;
               }
            }).build();
            SSLConnectionSocketFactory sslsf = new SSLConnectionSocketFactory(e);
            return HttpClients.custom().setSSLSocketFactory(sslsf).build();
         } catch (KeyManagementException var3) {
            var3.printStackTrace();
         } catch (NoSuchAlgorithmException var4) {
            var4.printStackTrace();
         } catch (KeyStoreException var5) {
            var5.printStackTrace();
         }
      }

      return HttpClients.createDefault();
   }

   public static void main(String[] args) {
      Client client = new Client("http://openapi-test.zjport.gov.cn:7056/gateway/receive");
      String appId = "10010000";
      String bizCode = "JKF00002";
      String bizId = "12";
      String content = "业务报文内容";
      String timestamp = String.valueOf(System.currentTimeMillis());
      String appKey = "abcdefghij1234567890abcdefghij1234567890";
      String sign = client.getSign(bizCode, bizId, content, timestamp, appKey);
      String result = client.post(appId, bizCode, bizId, content, timestamp, sign);
      System.out.println(result);
   }
}
